is_binary {git2r} | R Documentation

## Is blob binary

### Description

Is blob binary

### Usage

    is_binary(blob)

    ## S4 method for signature 'git_blob'
    is_binary(blob)

### Arguments

`blob` | The blob `object`.

### Value

TRUE if binary data, FALSE if not.

### Examples

    ## Not run:
    ## Initialize a temporary repository
    path <- tempfile(pattern="git2r-")
    dir.create(path)
    repo <- init(path)

    ## Create a user
    config(repo, user.name="Alice", user.email="alice@example.org")

    ## Commit a text file
    writeLines("Hello world!", file.path(path, "example.txt"))
    add(repo, "example.txt")
    commit_1 <- commit(repo, "First commit message")

    ## Check if binary
    b_text <- tree(commit_1)["example.txt"]
    is_binary(b_text)

    ## Commit plot file (binary)
    x <- 1:100
    y <- x^2
    png(file.path(path, "plot.png"))
    plot(y ~ x, type = "l")
    dev.off()
    add(repo, "plot.png")
    commit_2 <- commit(repo, "Second commit message")

    ## Check if binary
    b_png <- tree(commit_2)["plot.png"]
    is_binary(b_png)

    ## End(Not run)

[Package git2r version 0.20.0 Index]